Bug 114424 - (NET TG3) ethtool and tg3 driver does not work
(NET TG3) ethtool and tg3 driver does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 17:24 EST by Jason Martens
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Martens 2004-01-27 17:24:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
Autonegotiation using the tg3 driver for the Broadcom Corporation
NetXtreme BCM5703 Gigabit Ethernet (rev 02) ethernet card fails.  In
addition, using ethtool to set the speed, duplex and autonegotiation
fails.  

Version-Release number of selected component (if applicable):
ethtool-1.8-2.1, kernel-2.4.22-1.2149.nptl

How reproducible:
Always

Steps to Reproduce:
1.#ethtool -s eth0 duplex full

    

Actual Results:  The duplex stays at half

Expected Results:  The duplex should change to full

Additional info:

I have also tried turning off autonegotiation before attempting to set
the duplex, with no effect.  Dell Poweredge 2650, upgraded from RedHat
9 to FC1. 

Severity is high because the network performance is unacceptably slow
while in half duplex.
Comment 3 Jeff Garzik 2004-06-14 13:29:41 EDT
Any update on this bug, Jason?

Is it present in Fedora Core 2 (aka latest kernel)?
Comment 4 Jason Martens 2004-06-14 15:21:30 EDT
The bug is still there.  I don't have an FC2 box with the tigon
drivers to test the latest kernel, and the box I have the issue with
is a production box and I don't want to upgrade to FC2 yet.  Here's my
current version info:

Linux capone 2.4.22-1.2188.nptl #1 Wed Apr 21 20:36:05 EDT 2004 i686
i686 i386 GNU/Linux

ethtool-1.8-2.1
Comment 5 David Lawrence 2004-09-29 16:00:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.